// Gmsh project created on Sat Jan 06 16:51:33 2018
SetFactory("OpenCASCADE");
//+
Point(1) = {0, -0, 0, 1.0};
Point(2) = {1, -0, 0, 1.0};
Point(3) = {1, 0.5, 0, 1.0};
Point(4) = {0, 0.5, 0, 1.0};
//+
Line(1) = {1, 2};
Line(2) = {2, 3};
Line(3) = {3, 4};
Line(4) = {4, 1};
//+
Line Loop(1) = {4, 1, 2, 3};
Plane Surface(1) = {1};
//+
Transfinite Line {1,2,3,4} = 3 Using Progression 1;
Transfinite Surface {1} = {1, 4, 3, 2};
//+
Physical Line("left") = {4};
Physical Line("right") = {2};
Physical Line("top") = {3};
Physical Line("bottom") = {1};
//+
Physical Surface("internal") = {1};
